[intellij sh] IDEA-267920 Fix plugin compatibility problem
[idea/community.git] / plugins / sh / src / com / intellij / sh / run / ShRunConfiguration.java
index 79e765f202e198ae0282f4e8e30861904dc09493..b1d5e6a075e31ab8b93073986e7d79de2997cea2 100644 (file)
@@ -34,7 +34,7 @@ import static com.intellij.openapi.util.io.FileUtil.toSystemDependentName;
 import static com.intellij.openapi.util.text.StringUtilRt.notNullize;
 import static com.intellij.sh.ShBundle.message;
 
-final class ShRunConfiguration extends LocatableConfigurationBase implements RefactoringListenerProvider {
+public final class ShRunConfiguration extends LocatableConfigurationBase implements RefactoringListenerProvider {
   @NonNls private static final String TAG_PREFIX = "INDEPENDENT_";
   @NonNls private static final String SCRIPT_TEXT_TAG = "SCRIPT_TEXT";
   @NonNls private static final String SCRIPT_PATH_TAG = "SCRIPT_PATH";